Bug 870085 - PartitionException: Parted can't resize partitions managed by Windows Dynamic Disk.
PartitionException: Parted can't resize partitions managed by Windows Dynamic...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Brian Lane
Fedora Extras Quality Assurance
abrt_hash:55ae9016ec5e582d5e2554eb841...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-25 10:29 EDT by Reartes Guillermo
Modified: 2013-12-19 14:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-19 14:07:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: anaconda-tb (178.15 KB, text/plain)
2012-10-25 10:29 EDT, Reartes Guillermo
no flags Details
File: product (6 bytes, text/plain)
2012-10-25 10:29 EDT, Reartes Guillermo
no flags Details
File: type (9 bytes, text/plain)
2012-10-25 10:29 EDT, Reartes Guillermo
no flags Details
File: ifcfg.log (641 bytes, text/plain)
2012-10-25 10:29 EDT, Reartes Guillermo
no flags Details
File: storage.log (57.36 KB, text/plain)
2012-10-25 10:29 EDT, Reartes Guillermo
no flags Details
File: version (11 bytes, text/plain)
2012-10-25 10:29 EDT, Reartes Guillermo
no flags Details
File: environ (780 bytes, text/plain)
2012-10-25 10:29 EDT, Reartes Guillermo
no flags Details
File: anaconda.log (3.53 KB, text/plain)
2012-10-25 10:29 EDT, Reartes Guillermo
no flags Details
File: syslog (61.03 KB, text/plain)
2012-10-25 10:29 EDT, Reartes Guillermo
no flags Details
File: hashmarkername (8 bytes, text/plain)
2012-10-25 10:29 EDT, Reartes Guillermo
no flags Details
File: packaging.log (2.38 KB, text/plain)
2012-10-25 10:30 EDT, Reartes Guillermo
no flags Details
File: cmdline_file (96 bytes, text/plain)
2012-10-25 10:30 EDT, Reartes Guillermo
no flags Details
File: release (24 bytes, text/plain)
2012-10-25 10:30 EDT, Reartes Guillermo
no flags Details
File: program.log (22.74 KB, text/plain)
2012-10-25 10:30 EDT, Reartes Guillermo
no flags Details

  None (edit)
Description Reartes Guillermo 2012-10-25 10:29:22 EDT
Description of problem:
tried to resize a dynamic disk. 
"shrink" should not be avaiable for this disks type. And anaconda should present a normal error message instead of crashing.


Version-Release number of selected component:
anaconda-18.19

Additional info:
libreport version: 2.0.14
cmdline:        /usr/bin/python  /sbin/anaconda
kernel:         3.6.1-1.fc18.x86_64

description:
:The following was filed automatically by anaconda:
:anaconda 18.19 exception report
:Traceback (most recent call first):
:  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 309, in setPartitionGeometry
:    start, end)
:  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
:    ret = fn(*args, **kwds)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 1230, in _setTargetSize
:    start=geometry.start, end=geometry.end)
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 599, in <lambda>
:    lambda s, v: s._setTargetSize(v),
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 367, in __init__
:    self.device.targetSize = newsize
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1261, in resizeDevice
:    self.devicetree.registerAction(action_class(device, new_size))
:  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 239, in _scheduleActions
:    self.storage.resizeDevice(device, device.minSize)
:PartitionException: Parted can't resize partitions managed by Windows Dynamic Disk.
Comment 1 Reartes Guillermo 2012-10-25 10:29:29 EDT
Created attachment 633352 [details]
File: anaconda-tb
Comment 2 Reartes Guillermo 2012-10-25 10:29:32 EDT
Created attachment 633353 [details]
File: product
Comment 3 Reartes Guillermo 2012-10-25 10:29:34 EDT
Created attachment 633354 [details]
File: type
Comment 4 Reartes Guillermo 2012-10-25 10:29:38 EDT
Created attachment 633355 [details]
File: ifcfg.log
Comment 5 Reartes Guillermo 2012-10-25 10:29:41 EDT
Created attachment 633356 [details]
File: storage.log
Comment 6 Reartes Guillermo 2012-10-25 10:29:44 EDT
Created attachment 633357 [details]
File: version
Comment 7 Reartes Guillermo 2012-10-25 10:29:48 EDT
Created attachment 633358 [details]
File: environ
Comment 8 Reartes Guillermo 2012-10-25 10:29:50 EDT
Created attachment 633359 [details]
File: anaconda.log
Comment 9 Reartes Guillermo 2012-10-25 10:29:53 EDT
Created attachment 633360 [details]
File: syslog
Comment 10 Reartes Guillermo 2012-10-25 10:29:59 EDT
Created attachment 633361 [details]
File: hashmarkername
Comment 11 Reartes Guillermo 2012-10-25 10:30:01 EDT
Created attachment 633362 [details]
File: packaging.log
Comment 12 Reartes Guillermo 2012-10-25 10:30:04 EDT
Created attachment 633363 [details]
File: cmdline_file
Comment 13 Reartes Guillermo 2012-10-25 10:30:06 EDT
Created attachment 633364 [details]
File: release
Comment 14 Reartes Guillermo 2012-10-25 10:30:12 EDT
Created attachment 633365 [details]
File: program.log
Comment 15 Chris Lumens 2012-10-25 10:32:31 EDT
We can't really remove "Shrink" from those drop-downs on a per-device basis.  At least, not without making a giant mess.  For things that do not support resizing, Shrink is delete.
Comment 16 Reartes Guillermo 2012-10-25 10:43:23 EDT
I can understand the issue, but please remember that for people that are not aware of it, they will still think:

preserve = preserve
delete = delete
shrink != delete 

which is the meaning of the words.

So, if shrink cannot be used and the word 'shrink' will mean 'delete' (for which there is already an option), it is imperative for anaconda to add another description/warning/whatever that explains what will happen. Failing to do so will have unexpected consequences, and most likely bug-reports will be opened post-release. (and some of the reporters might be angry).
Comment 17 Reartes Guillermo 2012-11-04 12:26:27 EST
it still is possble to try to shrink a dynamic disk

Package: anaconda-18.24
OS Release: Fedora release 18-Beta-TC7
Comment 18 Chris Lumens 2012-11-05 10:23:19 EST
Until we write our own cell renderer, we are not going to be able to change the wording options in this dialog.
Comment 19 Reartes Guillermo 2012-12-10 20:00:12 EST
I tried smoke5 (anaconda 18.37) and the issue worsened, now the guest REBOOTS when i hit 'reclaim space'. (there is an 'unknown error' but there is no time to even read the box. Is there any debug parameter to disable reboot-on-error?
Comment 20 Reartes Guillermo 2012-12-14 15:16:36 EST
Using the parameter 'nokill' i was able to confirm that the 'unknown error' is indeed the same (some line numbers differ) as before. 
F18-TC2:

anaconda 18.37.2 exception report
Traceback (most recent call first):
  File "/usr/lib64/python2.7/site-packages/parted/disk.py", line 309, in setPartitionGeometry
    start, end)
  File "/usr/lib64/python2.7/site-packages/parted/decorators.py", line 32, in new
    ret = fn(*args, **kwds)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 1233, in _setTargetSize
    start=geometry.start, end=geometry.end)
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/devices.py", line 602, in <lambda>
    lambda s, v: s._setTargetSize(v),
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/deviceaction.py", line 367, in __init__
    self.device.targetSize = newsize
  File "/usr/lib64/python2.7/site-packages/pyanaconda/storage/__init__.py", line 1239, in resizeDevice
    self.devicetree.registerAction(action_class(device, new_size))
  File "/usr/lib64/python2.7/site-packages/pyanaconda/ui/gui/spokes/lib/resize.py", line 303, in _scheduleActions
    self.storage.resizeDevice(device, device.minSize)
PartitionException: Parted can't resize partitions managed by Windows Dynamic Disk.

This is the partition table:

Disk /dev/sdb: 6501 MB, 6501171200 bytes, 12697600 sectors
Units = sectors of 1 * 512 = 512 bytes
Sector size (logical/physical): 512 bytes / 512 bytes
I/O size (minimum/optimal): 512 bytes / 512 bytes
Disk identifier: 0x00067592

   Device Boot      Start         End      Blocks   Id  System
/dev/sdb1              63    12691349     6345643+  42  SFS


What about this:

Treating all ntfs file-systems found that to not belong to any 
Partition ID 07 (for msdos disk-label at least) in a similar way
to an unknown file-system:

* Graying out the 'shrink' for such 'dynamic' disks.
* Only allowing to preserve or delete.
Comment 21 Reartes Guillermo 2013-01-04 18:30:35 EST
Tested with TC4 (18.37.8), in AUTOMATIC PARTITIONING, the only options for ntfs dynamic disks is 'preserve' and 'delete' which looks good.

Note You need to log in before you can comment on or make changes to this bug.